//*****************************
//*       Teal'cs Hydro shader*
//*****************************


///////////
//Blue Cagelight Modification
//

models/mapobjects/tealc/cagelight_x
{
	surfaceparm nomarks
	q3map_lightimage models/mapobjects/tealc/cagelight_x.tga
	q3map_surfacelight 9000
	q3map_lightrgb 0.288 0.334 1.0
	light 1
	
// cagelight white
	
	{
		map models/mapobjects/tealc/cagelight_x.tga
		blendFunc GL_ONE GL_ZERO
		rgbGen vertex
	}
	{
		map models/mapobjects/tealc/cagelight.blendx.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/skies/rf_hydrosky
{
	qer_editorimage textures/skies/sky_10.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512 
	q3map_sun	1.0 0.8 0.6 55 345 75
	q3map_surfacelight 85
	fogvars ( .35 .35 .35 ) 5200
	//skyfogvars ( .75 .75 .9 ) .0001

	surfaceparm nodlight	// (SA) added so dlights don't affect surface

	skyparms full 200 -
	
	{
		map textures/skies/dimclouds.tga
		tcMod scroll 0.002 0.002
		tcMod scale 1 1
		tcMod turb 0 0.05 0 .08

		depthWrite
	}
	{
		map textures/skies/dimclouds.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll -0.001 -0.005
		tcMod scale 10 10
	}
}

textures/hydro/xp_sub_water

//Teal'cs Sub Water Modification
		
	{
		qer_editorimage textures/liquids/pool3d_3f.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nomarks
		tesssize 512
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	

		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .2 .0001
		}
	
	//	{ 
	//		map textures/liquids/pool3d_3f.tga
	//		blendFunc GL_dst_color gl_one
	//		rgbgen identity
	//		tcmod scale -1 -1
	//		tcmod scroll .025 .025
	//	}	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	
	
	}



